import RingfingerEvent from "./RingfingerEvent.js";
import User from "../types/User.js";

export default class UserGetEvent extends RingfingerEvent
{
	public static readonly NAME: string = 'usergetevent';

	private user: User;

	public constructor(user: User)
	{
		super(UserGetEvent.NAME);

		this.user = user;
	}

	public getUser(): User
	{
		return this.user;
	}
}