import RingfingerEvent from "./RingfingerEvent.js";

export default class UserLoginSuccessEvent extends RingfingerEvent
{
	public static readonly NAME: string = 'userloginsuccessevent';

	private userId: number;

	public constructor(userId: number) {
		super(UserLoginSuccessEvent.NAME);

		this.userId = userId;
	}

	public getUserId(): number
	{
		return this.userId;
	}
}
