export default class Sharing
{
	private readonly sharingId: number;
	private readonly userId: number;
	private readonly userSharingId: number;

	public constructor(sharingId: number, userId: number, userSharingId: number)
	{
		this.sharingId = sharingId;
		this.userId = userId;
		this.userSharingId = userSharingId;
	}

	public getSharingId(): number
	{
		return this.sharingId;
	}

	public getUserId(): number
	{
		return this.userId;
	}

	public getUserSharingId(): number
	{
		return this.userSharingId;
	}
}
