import RingfingerEvent from "./RingfingerEvent.js";
import Sharing from "../types/Sharing.js";

export default class UserSharingsGetEvent extends RingfingerEvent
{
	private sharings: Array<Sharing>;

	public constructor(sharings: Array<Sharing>) {
		super(UserSharingsGetEvent.name);

		this.sharings = sharings;
	}

	public getSharings(): Array<Sharing>
	{
		return this.sharings;
	}
}
