export default class User
{
	private userId: number;
	private username: string = '';
	private jabberAddress: string = '';
	private admin: boolean = false;
	private fingerprintIds: Array<number> = [];

	public constructor(userId: number)
	{
		this.userId = userId;
	}

	public setUsername(username: string): void
	{
		this.username = username;
	}

	public getUsername(): string
	{
		return this.username;
	}

	public setJabberAddress(jabberAddress: string): void
	{
		this.jabberAddress = jabberAddress;
	}

	public getJabberAddress(): string
	{
		return this.jabberAddress;
	}

	public setAdmin(isAdmin: boolean): void
	{
		this.admin = isAdmin;
	}

	public isAdmin(): boolean
	{
		return this.admin;
	}

	public setFingerprintIds(fingerprintIds: Array<number>)
	{
		this.fingerprintIds = fingerprintIds;
	}

	public getFingerprintIds(): Array<number>
	{
		return this.fingerprintIds;
	}
}